在android上导入外部的项目的时候Unable to execute dex: Multiple dex files define Lcn/howell/adapter/CurDeviceAdapter$LampNameTouch;

这个是adt版本不对导致的。出现此提示将workspace目录下的.metadata删除可能解决问题,(自己的项目两台adt版本不同,但之前未出现这种情况)

也可以更新adt, help-checking for updates,更新adt但是有可能更新了adt之后,sdk_tools也需要更新。
而国内现在连google的服务器不稳定,就会导致adt更新了sdk_tools不能更新,(我更新两台电脑都是这种情况)这时可以使用***软件 “***”(专家版),在程序选项中将SDK Manager.exe添加进来更新,
在进行这步更新的时候会先下载platform-tools到android_sdk的temp目录下面,如果使用自动安装是不能安装的,所以当下载完毕后,到temp目录下将platform-tools版本解压复制里面的内容到platform-tools文件夹下即可,然后可以自动更新tools版本。更新adt的时候现在还是可以从googl的服务器上更新的,如果不能监测到更新,只要从网上下载相对应的版本即可。然后help-install new soft-add-local.将下载的adt安装到eclipse上即可(需是一个压缩包,如果不是自己打包)。